Subject: Re: elogind: SwayWM fails to launch from vTTY: Could not take device: No such file or directory

From: Andrew Bower <[email-masked]>
Date: Sun, 25 Jan 2026 11:11:41 +0000

On Sun, Jan 25, 2026 at 09:57:02AM +0000, [email-masked] wrote:
> On Sunday, January 25th, 2026 at 03:01, Andrew Bower <[email-masked]> wrote:
> > It does run as root but I wonder if some privilege has somehow got lost
> > in the different daemonization process. This might give us some clues:
> > 
> > cat /proc/$(cat /run/elogind.pid)/status
> 
> The only difference I see here is that SIGINT is not ignored by elogind (with --no-close etc. START_ARGS; vs elogind-daemon).

How very strange this all is.

Well there is one other thing we could try - could it all be about
timings in the end after all? We could do this combination:

  DAEMON_ARGS=''
  START_ARGS='--verbose --background'

I.e. just remove '--notify-await' but keep s-s-d doing the
backgrounding.

And yet we didn't find anything in your startup sequence that was
waiting for elogind.